/* CSS Styles */
*{
    font-family: 'Libre Baskerville', sans-serif;
    box-sizing: border-box;
}
body {
    background-color: #fff0f5;
    background-image: url(images/so-white\ \(1\).png);
    margin: 0;
}
h1 {font-size: 2.5rem;
    color: dimgray;
}
h2 {font-size: 2rem;
    color: #df71a6;
}
p, ul, ol {font-size: 1rem;
    color: dimgray;
}
a:link {
    color: #c68be3;
    text-decoration: none;
}
a:hover, a:visited{
    color:#c68be3;
    text-decoration: underline;
}
img{
    max-width: 100%;
}

/*Button style*/
.button a:link, .button a:visited{
    color: rgb(218, 29, 139);
    border: #df71a6 thin solid;
    padding: 10px 0;
    display: block;
    text-align: center;
    text-decoration: none;
    text-transform: uppercase;
}
.button a:hover{
border: #fff0f5;
color: aliceblue;
background-color:#df71a6
}

/*Header Styles*/
header {
    background-color: #df71a6;
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 10px;
    padding: 0 5%;
    text-transform: uppercase;
    height: 90px;
}
header h1{
    grid-column: 1 / span 6;
    margin-top: 15px;
}
header h1 a:link,
header h1 a:hover,
header h1 a:visited {
color:#fff0f5;
text-decoration: none;
}


header{
    grid-column: 7 / span 6;
}
header nav ul {
    display: flex;
    justify-content: flex-end;
    list-style-type: none;
    padding: 0;
    margin-top: 30px;
}
header nav li a:link,
header nav li a:hover,
header nav li a:visited {
color:#fff0f5;
text-decoration: none;
font-size: 1.5rem;
padding: 0 2rem;
}

.pic {
    width: 300px;
}


.container{
    background-color: #fff0f5;
    width: 90%;
    max-width: 1000px;
    margin: 0 auto;
    padding: 35px 5% 0 5%;
}

/*Homepage content style*/
.home {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 10px;
}
.about {
    grid-column: 1 / span 8;
    padding: 0 5% 2rem 0;
}
.photo {
    grid-column: 9 / span 4;
}
/* Work Page Content Style */
.work{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
}
.work div {
    text-align: center;
    padding: 0 5% 5% 5%;
}




/*Footer Styles */
footer {
text-align: center;
padding: 1.5rem;
margin: .5rem 3.5rem;
border-top: #df71a6 solid thin;
}
footer ul {
    display:flex;
    justify-content:center;
    list-style-type:none;
    margin: 0;
    padding: 0;
}
footer ul a{
    display:block;
    padding: 0 .5rem;

}